Updates the project with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
project| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| _parent_id |
Reference to a parent installation |
globally unique identifier | |
| root_parent_id |
This field will be filled automatically based on the parent_id |
globally unique identifier | |
| _parent_reference_back_office |
Embedded entity "project" for parent installation using ERP PK when adding/updating project |
string | |
| _parent_project |
Embedded entity "project" for parent installation when adding/updating project |
project | |
| equipment_family_id |
Foreign key to equipment_family. It can be taken via equipment_family_code, equipment_family or equipment model that links to a valid equipment family |
globally unique identifier | |
| equipment_family_code |
Embedded entity "equipment_family" using ERP PK when adding/updating project |
string | |
| equipment_family |
Embedded entity "equipment_family" when adding/updating project |
equipment_family | |
| equipment_model_id |
Foreign key to equipment model. It can get via equipment_family_code, equipment_family or equipment_model |
globally unique identifier | |
| equipment_model_code |
Embedded entity "equipment_model" using ERP PK when adding/updating project |
string | |
| equipment_model |
Embedded entity "equipment_model" when adding/updating project |
equipment_model | |
| project_status_id |
Foreign key to project_status |
globally unique identifier |
Optionally required : project_status_id, project_status_code or project_status must be provided |
| project_status_code |
Embedded entity "project_status" using ERP PK when adding/updating project |
string |
Optionally required : project_status_id, project_status_code or project_status must be provided |
| project_status |
Embedded entity "project_status" when adding/updating project |
project_status |
Optionally required : project_status_id, project_status_code or project_status must be provided |
| company_id |
The company owner of this project/installation |
globally unique identifier |
Optionally required : company_id, company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating project |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating project |
company |
Optionally required : company_id, company_code or company must be provided |
| db_address_id |
Specific db_address_id of the %company_id% if different than the company default address |
globally unique identifier | |
| db_address_code |
Embedded entity "db_address" using ERP PK when adding/updating project |
string | |
| db_address |
Embedded entity "db_address" when adding/updating project |
db_address | |
| location |
Additional text to describe the location |
string |
Max length: 255 |
| contact_id |
Main contact for this project/installation |
globally unique identifier | |
| contact_reference_back_office |
Embedded entity "contact" using ERP PK when adding/updating project |
string | |
| contact |
Embedded entity "contact" when adding/updating project |
contact | |
| owner_user_id |
User owner/manager of this project/installation |
globally unique identifier | |
| name |
Name of the project/installation |
string |
Required Max length: 50 |
| description |
Long description |
string | |
| reference_back_office |
The Id/Ref of the back office for this project/installation. Used by Embedded entity |
string |
Max length: 255 |
| serial_number |
Serial number |
string |
Max length: 255 |
| barcode |
Barcode |
string |
Max length: 50 |
| date_start_production |
Date project/installation becomes active |
date | |
| date_create |
Creation date+time |
date | |
| date_update |
Update date+time |
date | |
| updated_by_user_id |
Last User that updates the object |
globally unique identifier | |
| customer_reference |
Reference of this project/installation for the customer |
string |
Max length: 50 |
| warranty_date_until |
End date of the warranty (if applicable) |
date | |
| last_standard_result_score_1 |
Last result score 1 (CF Standard module) |
string |
Max length: 50 |
| last_standard_result_score_2 |
Last result score 2 (CF Standard module) |
string | |
| target_standard_result_score_1 |
Target result score 1 (CF Standard module) |
string |
Max length: 50 |
| target_standard_result_score_2 |
Target result score 2 (CF Standard module) |
string |
Max length: 50 |
| date_built |
Build date of the installation (if applicable) |
date | |
| shutdown_consequence |
Consequence of the installation is shut down (CEO has no air cooling anymore,..) |
string |
Max length: 4000 |
| id2 |
Internal ID (numeric). Will be used if reference_back_office is empty |
integer | |
| nb_open_jobs |
Readonly - Number of open jobs |
integer | |
| date_next_job |
Date+time of the next job planned |
date | |
| date_last_job |
Date+time of the last job completed |
date | |
| nb_jobs_planned |
Number of jobs with status Planned |
integer | |
| nb_jobs_tobeplanned |
Number of jobs with status To Be Planned |
integer | |
| nb_jobs_waitingfurtheraction |
Number of jobs with status Waiting Further Action |
integer | |
| back_office_timestamp |
Back Office timestamp value (conflict detection purpose) |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| is_mobile_installation |
Set it TRUE if this is a mobile installation. |
boolean |
Request Formats :
application/json, text/json
{
"id": "e10c2700-6a65-47f6-be51-b09db795202a",
"_parent_id": "53d855a7-7924-41f4-812a-300462045ff3",
"root_parent_id": "3c81facb-13cf-4b75-acb0-37fe4b9ee939",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "1c8f6806-220a-4dd8-a1d2-27fb96cbae2c",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "5eb8002b-9479-4bd6-970e-22b1654926a9",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "42e83d3d-4e3a-45e8-8b80-7165da9df50c",
"_parent_code": "sample string 6",
"sales_organization_id": "8013dc2f-29d8-4da6-9ab0-6e398c3ba482",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "f48cc4a8-5a68-47f7-ad12-a6c80e3a90ed",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "3a42ff58-f8f3-45d3-abdc-029bb1480649",
"db_currency_id": "0d0d66d3-7613-44a1-84cf-3ad6a483523d",
"db_language_id": "fda55a97-af39-494f-a2dd-7ed4c35f7257",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-15T01:24:47.9990753+00:00"
},
"modified_dateutc": "2026-10-15T01:24:47.9990753+00:00"
},
"equipment_model_id": "f02dfb5b-d28a-47ef-ac5f-685de73d3d44",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "f46c3a08-625b-49a2-a5d1-e134511f4570",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "c6d44c37-690e-449b-8d36-7e240ae05ed7",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "7cc1b943-299e-4728-9a38-472ccb1d8400",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "9b458eed-1bf1-4488-83db-4a62c30de22c",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "f48cc4a8-5a68-47f7-ad12-a6c80e3a90ed",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "3a42ff58-f8f3-45d3-abdc-029bb1480649",
"db_currency_id": "0d0d66d3-7613-44a1-84cf-3ad6a483523d",
"db_language_id": "fda55a97-af39-494f-a2dd-7ed4c35f7257",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-15T01:24:47.9990753+00:00"
},
"modified_dateutc": "2026-10-15T01:24:47.9990753+00:00"
},
"equipment_family_id": "e8004e61-7ef5-416e-9e69-19022da6fc92",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "5eb8002b-9479-4bd6-970e-22b1654926a9",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "42e83d3d-4e3a-45e8-8b80-7165da9df50c",
"_parent_code": "sample string 6",
"sales_organization_id": "8013dc2f-29d8-4da6-9ab0-6e398c3ba482",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "f48cc4a8-5a68-47f7-ad12-a6c80e3a90ed",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "3a42ff58-f8f3-45d3-abdc-029bb1480649",
"db_currency_id": "0d0d66d3-7613-44a1-84cf-3ad6a483523d",
"db_language_id": "fda55a97-af39-494f-a2dd-7ed4c35f7257",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-15T01:24:47.9990753+00:00"
},
"modified_dateutc": "2026-10-15T01:24:47.9990753+00:00"
},
"date_in_production_since": "2026-10-15T01:24:47.9990753+00:00",
"date_out_of_production_since": "2026-10-15T01:24:47.9990753+00:00",
"date_end_support": "2026-10-15T01:24:47.9990753+00:00",
"sales_organization_id": "ac737c57-8222-4947-9c0b-8d610dd9c57d",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "f48cc4a8-5a68-47f7-ad12-a6c80e3a90ed",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "3a42ff58-f8f3-45d3-abdc-029bb1480649",
"db_currency_id": "0d0d66d3-7613-44a1-84cf-3ad6a483523d",
"db_language_id": "fda55a97-af39-494f-a2dd-7ed4c35f7257",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-15T01:24:47.9990753+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-10-15T01:24:48.0295986+00:00"
},
"project_status_id": "47b71126-9a43-43fa-a20c-ec301b3525d3",
"project_status_code": "sample string 10",
"project_status": {
"id": "8ace897a-91dc-4116-93b8-4aba8cd5a153",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "c3589827-f6f3-40b7-8bc1-de7a2f689808",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "f48cc4a8-5a68-47f7-ad12-a6c80e3a90ed",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "3a42ff58-f8f3-45d3-abdc-029bb1480649",
"db_currency_id": "0d0d66d3-7613-44a1-84cf-3ad6a483523d",
"db_language_id": "fda55a97-af39-494f-a2dd-7ed4c35f7257",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-15T01:24:47.9990753+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-10-15T01:24:48.0295986+00:00"
},
"company_id": "c8b8b4c6-3116-4046-82aa-121b35e53f23",
"company_code": "sample string 12",
"db_address_id": "7ea3cf3a-281f-44d2-aaab-bf021765e12d",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "dfd2f410-8e6e-4fd0-9d57-b3242a797c59",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "8c6ed73f-3e93-4937-821a-259d38c34a8b",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-10-15T01:24:48.0295986+00:00",
"date_create": "2026-10-15T01:24:48.0295986+00:00",
"date_update": "2026-10-15T01:24:48.0295986+00:00",
"updated_by_user_id": "d4000bb9-efde-43da-9dc0-b62904ea8cb1",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-10-15T01:24:48.0295986+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-10-15T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-10-15T01:24:48.0295986+00:00",
"date_last_job": "2026-10-15T01:24:48.0295986+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-10-15T01:24:48.0295986+00:00",
"modified_dateutc": "2026-10-15T01:24:48.0295986+00:00",
"is_mobile_installation": true
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.